///@file type.h
///@brief プラットフォーム依存部分：Linux用
#ifndef TYPE_H
#define TYPE_H

//vncviewer.h
#include <sys/time.h>
#include <unistd.h>
#include <X11/IntrinsicP.h>
#include <X11/StringDefs.h>
#include <X11/Xmd.h>
#include <netinet/in.h>

//multi.h
#include <sys/shm.h>
#include <sys/ipc.h>
#include <sys/sem.h>
#include <sched.h>
#include <gdk/gdkx.h>

//callback.c
#include <X11/Xlib.h>
#include <gdk/gdkx.h>

//desktop.c
#include <X11/Xaw/Viewport.h>
#include <X11/Xmu/Converters.h>
#ifdef MITSHM
#include <X11/extensions/XShm.h>
#endif

//init_client.c
#include <sys/ipc.h>
#include <sys/shm.h>
#include <X11/extensions/XShm.h>

//misc_c.c
#include <sys/wait.h>

//multivnc_client.c
#include <sys/socket.h>
#include <resolv.h>

//sc_common.c
#include <sys/ioctl.h>
#include <net/if.h>

#endif
